package de.ugoe.cs.util.console.mock;

import de.ugoe.cs.util.console.listener.IOutputListener;

public class MockOutputListener implements IOutputListener {
	private String secondLastOutput = null;
	private String lastOutput = null;
	public String getLastOutput() {
		return lastOutput;
	}
	public String getSecondLastOutput() {
		return secondLastOutput;
	}
	@Override
	public void outputMsg(String newMessage) {
		if( lastOutput!=null ) {
			secondLastOutput=lastOutput;
		}
		lastOutput = newMessage;
		
	}
}